Organizations
Update an organization
Update organization profile fields or typed onboarding state.
PATCH
/
v1
/
organizations
/
{organizationId}
Update an organization
curl --request PATCH \
--url https://api.tembo.io/v1/organizations/{organizationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"onboarding": {
"companySize": "<string>",
"dismissedDashboardGetStartedCards": [
"<string>"
],
"industry": "<string>",
"stack": [
"<string>"
]
},
"onboardingCompleted": true
}
'import requests
url = "https://api.tembo.io/v1/organizations/{organizationId}"
payload = {
"name": "<string>",
"slug": "<string>",
"onboarding": {
"companySize": "<string>",
"dismissedDashboardGetStartedCards": ["<string>"],
"industry": "<string>",
"stack": ["<string>"]
},
"onboardingCompleted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
onboarding: {
companySize: '<string>',
dismissedDashboardGetStartedCards: ['<string>'],
industry: '<string>',
stack: ['<string>']
},
onboardingCompleted: true
})
};
fetch('https://api.tembo.io/v1/organizations/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"logoUrl": "<string>",
"memberCount": 1
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Was this page helpful?
⌘I
Update an organization
